import { LocaleMessages } from './types';
import { IDesignerControllerProps, IDesignerControllerPropsMap } from './types';
declare const DESIGNER_GlobalRegistry: {
    setComponentDesignerProps: (componentName: string, props: IDesignerControllerProps) => void;
    setSourceDesignerProps: (sourceName: string, props: IDesignerControllerProps) => void;
    setComponentDesignerLocales: (componentName: string, locales: LocaleMessages) => void;
    setSourceDesignerLocales: (sourceName: string, locales: LocaleMessages) => void;
    getComponentDesignerProps: (componentName: string) => IDesignerControllerProps;
    getComponentDesignerMessage: (componentName: string, token: string) => any;
    getSourceDesignerMessage: (sourceName: string, token: string) => any;
    getSourceDesignerProps: (nodeName: string) => IDesignerControllerProps;
    getDesignerIcon: (name: string) => any;
    setDesignerLanguage(lang: string): void;
    getDesignerLanguage(): string;
    getDesignerMessage(token: string): any;
    registerDesignerProps: (map: IDesignerControllerPropsMap) => void;
    registerDesignerIcons: (map: Record<string, any>) => void;
    registerDesignerLocales(...packages: LocaleMessages[]): void;
};
export declare const createLocales: (...packages: LocaleMessages[]) => {};
export declare type IDesignerRegistry = typeof DESIGNER_GlobalRegistry;
export declare const GlobalRegistry: IDesignerRegistry;
export {};
